Name:           uname_i686
Version:        0.1
Release:        1%{?dist}

Summary:        Override architecture returned by uname

License:        GPLv3+
Url:            https://lslebodn.fedorapeople.org/

Source0:        uname_i686.c

BuildRequires:  gcc

%description
Many projects try to detect architectures from output of the function uname.
The array machine shall contain a name that identifies the
hardware that the system is running on. It's detected from linux kernel.

It can be overriden by utilitu /usr/bin/setarch but it requires
extra capabilities which might not be available or blocked (seccomp)

This package add posibility to override machine identifier to i686
in user space.
To use it set the following environment variable:

LD_PRELOAD=uname_i686

%prep
cp -p %SOURCE0 .

%build
gcc -Wall -fPIC -shared -o uname_i686.so uname_i686.c -ldl

%install
install -d %{buildroot}/%{_libdir}
install -m755 uname_i686.so %{buildroot}/%{_libdir}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%{_libdir}/uname_i686.so

%changelog
* Mon Mar 21 2016 Lukas Slebodnik <lslebodn@redhat.com> - 0.1-1
- Initial version 0.1
